enfemenino.com doesn't recognize B2G UA as mobile

RESOLVED FIXED

Status

Tech Evangelism
Mobile
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: lmandel, Assigned: karlcow)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [uaoverride] [country-es] [serversniff] [contactready] [sitewait], URL)

enfemenino.com serves a desktop site to B2G. Bug 823364 added an UA override for this domain. The override should be removed once the domain serves mobile content to B2G. This bug tracks the evangelism for the site to recognize the B2G UA and the removal of the override at that time.
Blocks: 843108
Whiteboard: [uaoverride]
(Assignee)

Comment 1

5 years ago
Just a quick note. There is indeed a server-side redirect visible on the command line. There is an additional one for geolocation at least on desktop. In Canada, I'm redirected to http://www.wewomen.ca/?country=2

With Firefox OS with UA override, I get the mobile site.
http://m.enfemenino.com/
AND without UA override, I get the desktop site and then the redirection to the geolocated site. Canada for me. 




HEAD / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.enfemenino.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0



HTTP/1.1 301 Moved Permanently
Cache-control: no-cache
Content-Length: 301
Content-Type: text/html; Charset=utf-8
Date: Wed, 31 Jul 2013 19:13:49 GMT
Expires: Tue, 30 Jul 2013 19:13:48 GMT
Location: http://m.enfemenino.com/
Set-Cookie: AufemininLB=469828106.21504.0000; path=/
X-Powered-By: ASP.NET
cache-control: private
pragma: no-cache



15:13:49 ~
→ http -v HEAD http://www.enfemenino.com/ User-Agent:'Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0' 
HEAD / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.enfemenino.com
User-Agent: Mozilla/5.0 (Mobile; rv:18.0) Gecko/18.0 Firefox/18.0



HTTP/1.1 200 OK
Cache-Control: no-cache
Content-Encoding: gzip
Content-Type: text/html; Charset=utf-8
Date: Wed, 31 Jul 2013 19:14:17 GMT
P3P: CP="BUS CUR CONo FIN IVDo ONL OUR PHY SAMo TELo"
Set-Cookie: afpperso=tcp=ok17; expires=Fri, 28-Jul-2023 22:00:00 GMT; domain=enfemenino.com; path=/
Set-Cookie: afperso=nn=1&geo=93%2Dca&new%5Fref=31%2F07%2F2013+21%3A14%3A17&p%5Fpe=h2&new%5Fvisit=31%2F07%2F2013+21%3A14%3A17&tcs=ok17; domain=enfemenino.com; path=/
Set-Cookie: AufemininLB=251724298.21504.0000; path=/
Transfer-Encoding: chunked
Vary: Accept-Encoding
X-Powered-By: ASP.NET
(Assignee)

Updated

5 years ago
Whiteboard: [uaoverride] → [uaoverride] [country-es] [serversniff]
(Assignee)

Comment 2

5 years ago
It would be to have someone from Spain testing the Web site or someone in Spain with Firefox OS after removing the UA override. Lawrence any ideas?
Assignee: nobody → kdubost
Flags: needinfo?(lmandel)
Karl, we can probably find someone in Spain to test for us. I would go to the mozilla reps list. Alternatively, how about piping through a proxy located in Spain?
Flags: needinfo?(lmandel)
(Assignee)

Updated

5 years ago
Assignee: kdubost → nobody
Whiteboard: [uaoverride] [country-es] [serversniff] → [uaoverride] [country-es] [serversniff] [contactready]
(Assignee)

Comment 4

5 years ago
This seems very similar to the Bug 887739

GET / HTTP/1.1
Accept: */*
Accept-Encoding: gzip, deflate, compress
Host: www.enfemenino.com
User-Agent: Mozilla/5.0 (Android; Mobile; rv:18.0) Gecko/18.0 Firefox/18.0



HTTP/1.1 301 Moved Permanently
Cache-control: no-cache
Content-Length: 301
Content-Type: text/html; Charset=utf-8
Date: Tue, 17 Sep 2013 18:31:10 GMT
Expires: Mon, 16 Sep 2013 18:31:10 GMT
Location: http://m.enfemenino.com/
Set-Cookie: AufemininLB=251724298.21504.0000; path=/
X-Powered-By: ASP.NET
cache-control: private
pragma: no-cache

<html><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta http-equiv="refresh" content="0;url=http://m.enfemenino.com/" /><script>window.location='http://m.enfemenino.com/';</script></head><body>This page was moved <a href="http://m.enfemenino.com/">here</a></body></html>
(Assignee)

Updated

5 years ago
(Assignee)

Comment 5

5 years ago
French company, I have contacted them. with a huge network of sites exhibiting the same issues.
http://corporate.aufeminin.com/International
Assignee: nobody → kdubost
Status: NEW → ASSIGNED
Whiteboard: [uaoverride] [country-es] [serversniff] [contactready] → [uaoverride] [country-es] [serversniff] [contactready] [sitewait]

Comment 6

5 years ago
Hello Karl,

I just fixed the issue. Can you test it ?

Thanks,

Cyrille
(Assignee)

Comment 7

5 years ago
Cyrille,

Fabulous. Working. Thanks a lot!
Closing.
Status: ASSIGNED → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
(Assignee)

Updated

5 years ago
Blocks: 911260
You need to log in before you can comment on or make changes to this bug.